aboutsummaryrefslogtreecommitdiffstats
path: root/catalog-be/src/main/docker/backend/chef-repo/cookbooks/sdc-catalog-be/templates/default/ready-probe.sh.erb
diff options
context:
space:
mode:
authorsebdet <sebastien.determe@intl.att.com>2020-09-17 15:07:23 +0200
committerSébastien Determe <sebastien.determe@intl.att.com>2020-09-18 12:59:54 +0000
commit591810df468a8e2c59569e701f514bff61203940 (patch)
tree9cd9b03ef59319a229bc784d66c02538c3785ec2 /catalog-be/src/main/docker/backend/chef-repo/cookbooks/sdc-catalog-be/templates/default/ready-probe.sh.erb
parent0e825177c8f6c5304d9b529cd9831f30d401efaa (diff)
Introduce a new docker for be plugins
Introduce a new docker image containing the etsi plugin and potentially others + simplify the process to build backend image + cleaning of unused files Issue-ID: SDC-3289 Signed-off-by: sebdet <sebastien.determe@intl.att.com> Change-Id: I82c770b391d169bef3bcc5f5af66e2a24dffb1b4 Signed-off-by: sebdet <sebastien.determe@intl.att.com>
Diffstat (limited to 'catalog-be/src/main/docker/backend/chef-repo/cookbooks/sdc-catalog-be/templates/default/ready-probe.sh.erb')
-rw-r--r--catalog-be/src/main/docker/backend/chef-repo/cookbooks/sdc-catalog-be/templates/default/ready-probe.sh.erb9
1 files changed, 9 insertions, 0 deletions
diff --git a/catalog-be/src/main/docker/backend/chef-repo/cookbooks/sdc-catalog-be/templates/default/ready-probe.sh.erb b/catalog-be/src/main/docker/backend/chef-repo/cookbooks/sdc-catalog-be/templates/default/ready-probe.sh.erb
new file mode 100644
index 0000000000..9f6646d63d
--- /dev/null
+++ b/catalog-be/src/main/docker/backend/chef-repo/cookbooks/sdc-catalog-be/templates/default/ready-probe.sh.erb
@@ -0,0 +1,9 @@
+#!/bin/bash
+health_check_http_code=$(curl -k --max-time 5 -o /dev/null -w '%{http_code}' <%= @protocol %>://127.0.0.1:<%= @port %>/sdc2/rest/healthCheck)
+
+if [[ "$health_check_http_code" -eq 200 ]]; then
+ exit 0
+else
+ echo "Health check http status: $health_check_http_code"
+ exit 1
+fi